Bug 1804742 - image stream is not being migrated correctly using CAM tool
Summary: image stream is not being migrated correctly using CAM tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Migration Tooling
Version: 4.2.z
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Scott Seago
QA Contact: Xin jiang
URL:
Whiteboard:
Depends On:
Blocks: 1810763
TreeView+ depends on / blocked
 
Reported: 2020-02-19 14:38 UTC by Arnab Ghosh
Modified: 2020-05-28 11:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1810763 (view as bug list)
Environment:
Last Closed: 2020-05-28 11:09:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:2326 0 None None None 2020-05-28 11:10:37 UTC

Comment 12 Scott Seago 2020-02-28 20:49:47 UTC
The fix in PR https://github.com/konveyor/openshift-migration-plugin/pull/49 has been merged to master

Comment 16 Sergio 2020-05-07 14:18:17 UTC
Verified using CAM 1.2 stage. Verified in 3.11 -> 4.3 and 4.2 -> 4.3.


Note: Be aware that this bug and its fix are related only to internal images (docker-registry.default.svc:5000 registry, not external ones)


Source cluster has:
$ oc get istag
NAME                    DOCKER REF                                                                                                                                      UPDATED
internal-image:busy     docker-registry.default.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   About an hour ago
internal-image:latest   docker-registry.default.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   About an hour ago
internal-image:tag1     docker-registry.default.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:39eda93d15866957feaee28f8fc5adb545276a64147445c64992ef69804dbf01   About an hour ago
internal-image:tag2     docker-registry.default.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:39eda93d15866957feaee28f8fc5adb545276a64147445c64992ef69804dbf01   About an hour ago
internal-image:tag3     docker-registry.default.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   About an hour ago
internal-image:tag4     docker-registry.default.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   About an hour ago
internal-image:alp      docker-registry.default.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:39eda93d15866957feaee28f8fc5adb545276a64147445c64992ef69804dbf01   About an hour ago


Target cluster shows:
$ oc get istag
NAME                    IMAGE REFERENCE                                                                                                                                                 UPDATED
internal-image:tag4     image-registry.openshift-image-registry.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   57 minutes ago
internal-image:alp      image-registry.openshift-image-registry.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:39eda93d15866957feaee28f8fc5adb545276a64147445c64992ef69804dbf01   57 minutes ago
internal-image:busy     image-registry.openshift-image-registry.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   57 minutes ago
internal-image:latest   image-registry.openshift-image-registry.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   57 minutes ago
internal-image:tag1     image-registry.openshift-image-registry.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:39eda93d15866957feaee28f8fc5adb545276a64147445c64992ef69804dbf01   57 minutes ago
internal-image:tag2     image-registry.openshift-image-registry.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:39eda93d15866957feaee28f8fc5adb545276a64147445c64992ef69804dbf01   57 minutes ago
internal-image:tag3     image-registry.openshift-image-registry.svc:5000/ocp-yyyy-istagsmirror/internal-image@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6   57 minutes ago

Comment 18 errata-xmlrpc 2020-05-28 11:09:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:2326


Note You need to log in before you can comment on or make changes to this bug.